import React, { useState, useEffect } from 'react';
import { Select } from 'antd';

import request from '../../utils/request'

const { Option } = Select;

/**
 *
 *
 * @param {*} props
 * @returns
 */
const CitySelect = (props) => {
  const [ data, setData ] = useState([])

  useEffect(() => {
    getCityList();
  },[])

  const getCityList = (e) => {
    request({
        url: '/api/admin/tdCityList/tdCity',
        method: 'GET',
        params: {leveltype: 2, pageNum: 1,pageSize: 999},
        action: 'select',
    }).then((data) => {
        setData(data)
    })
  }

  const getValue = () => {
    const tempData = data.filter(f => f.id == props.value)
    console.log("城市组价：", tempData)
    const va = (tempData.length > 0) ? props.value : undefined
    // props.onChange(va)
    return va
  }

  return (
      <Select 
      showSearch 
      value={getValue()} 
      style={{ width: '180px' }}
      placeholder="请选择城市" 
      onChange={props.onChange} 
      filterOption={(input, option) =>
        option.props.children.toLowerCase().indexOf(input.toLowerCase()) >= 0
      }
      >
          {data.map(city => (
            <Option key={city.id} value={city.id}>{city.name}</Option>
          ))}
      </Select>
  )
}
export default CitySelect

